﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Legend 속성을 사용해 레전드 폰트 시리즈 색상 사용하기";

            this.tChart.Panel.Pen              = new ChartPen(Color.Black);
            this.tChart.Legend.FontSeriesColor = true;

            for(int i = 0; i < 4; i++)
            {
                Line line = new Line(this.tChart.Chart);

                line.FillSampleValues(10);
            }
        }

        #endregion
    }
}